Bug 119052 - Installer doesn't find HP SmartArray 5i disk on Proliant DL380
Installer doesn't find HP SmartArray 5i disk on Proliant DL380
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2004-03-24 09:36 EST by Maarten van Gelder
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-15 12:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Maarten van Gelder 2004-03-24 09:36:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98; T312461)

Description of problem:
Installation of Fedora Core 2 (version 1.90) on a HP SmartArray 5i 
disk on a Proliant DL380 G3 system fails.

Booting from the CD with 'linux' hangs on loading the cciss driver.
The log suggests to use acpi=off.

Retrying with 'linux acpi=off' runs further, but fails later on.
The boot log then shows that the installer loads the cciss driver, 
but the installer complains that it cannot find the hard disk.

Looking in the system (console 2) shows that the cciss specific 
devices in /dev are absent. After creating the /dev/cciss/c0d0* 
entries with mknod fdisk sees the hard disk and after a mount it also 
is readable.

After these extra actions the installation still aborts because it 
doesn't find a hard disk.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Boot the boot.iso CD for Fedora Core 2
2.boot: linux acpi=off
3.Install media: doesn't matter
    NFS from a local system with copies of the CDs (before 23 March).
    FTP development package (23 March) from a mirror

Actual Results:  Complains about the missing hard disk.

Expected Results:  Install on my local hard disk.

Additional info:

The installation of Fedora Core 1 runned successfully. We didn't need 
the acpi=off there.
But we need Fedora Core 2 because of the kernel 2.6 support for file 
system > 1T byte.
Comment 1 Jeremy Katz 2004-03-27 14:52:37 EST
Fixed post test1 (and then the kernel changed and broke my probing
again, which is why the development tree is broken again, filed
Comment 2 Andreas de Pretis 2005-06-22 05:00:26 EDT
We did have this problem with FC4 on a Proliant DL380 G2 too. Using acpi=off as
suggested above seems to solve the problem and the system boots without further

Note You need to log in before you can comment on or make changes to this bug.